import javax.swing.* ;
import java.awt.event.* ;

public class ControlPanel extends javax.swing.JFrame {
    
    protected Robot robot ;
    /** Creates new form ControlPanel */
    public ControlPanel(Robot r) {
	robot = r ;
        initComponents ();
        pack ();
    }

    private void initComponents () 
    {
        empty = new javax.swing.JLabel ();
        avantBrasLabel = new javax.swing.JLabel ();
        brasLabel = new javax.swing.JLabel ();
        gaucheLabel = new javax.swing.JLabel ();
        avantBrasGauche = new javax.swing.JScrollBar ();
        brasGauche = new javax.swing.JScrollBar ();
        droitLabel = new javax.swing.JLabel ();
        avantBrasDroit = new javax.swing.JScrollBar ();
        brasDroit = new javax.swing.JScrollBar ();
        getContentPane ().setLayout (new java.awt.GridLayout (3, 3));
        setTitle ("Panneau de controle");
        setResizable (false);
        addWindowListener (new java.awt.event.WindowAdapter () {
		public void windowClosing (java.awt.event.WindowEvent evt) {
		    exitForm (evt);
            }
        }
        );

        getContentPane ().add (empty);

        avantBrasLabel.setText ("Avant Bras");
        avantBrasLabel.setHorizontalAlignment(SwingConstants.CENTER);
        avantBrasLabel.setFont (new java.awt.Font ("Dialog", 0, 10));

        getContentPane ().add (avantBrasLabel);

        brasLabel.setText ("Bras");
        brasLabel.setHorizontalAlignment (SwingConstants.CENTER);
        brasLabel.setFont (new java.awt.Font ("Dialog", 0, 10));

        getContentPane ().add (brasLabel);

        gaucheLabel.setText ("Gauche");
        gaucheLabel.setFont (new java.awt.Font ("Dialog", 0, 10));

        getContentPane ().add (gaucheLabel);

        avantBrasGauche.setOrientation (SwingConstants.HORIZONTAL);
        avantBrasGauche.addAdjustmentListener(new AdjustmentListener () {
		public void adjustmentValueChanged (AdjustmentEvent evt) {
		    avantBrasGaucheHandler (evt);
		}
        }
        );


        getContentPane ().add (avantBrasGauche);

        brasGauche.setOrientation (javax.swing.SwingConstants.HORIZONTAL);
        brasGauche.addAdjustmentListener (new AdjustmentListener () {
            public void adjustmentValueChanged (AdjustmentEvent evt) {
                brasGaucheHandler (evt);
            }
        }
        );

        getContentPane ().add (brasGauche);

        droitLabel.setText ("Droite");
        droitLabel.setFont (new java.awt.Font ("Dialog", 0, 10));


        getContentPane ().add (droitLabel);

        avantBrasDroit.setOrientation (SwingConstants.HORIZONTAL);
        avantBrasDroit.addAdjustmentListener (new AdjustmentListener () {
            public void adjustmentValueChanged (AdjustmentEvent evt) {
                avantBrasDroitHandler (evt);
            }
        }
        );

        getContentPane ().add (avantBrasDroit);

        brasDroit.setOrientation (SwingConstants.HORIZONTAL);
        brasDroit.addAdjustmentListener (new AdjustmentListener () {
            public void adjustmentValueChanged (AdjustmentEvent evt) {
                brasDroitHandler (evt);
            }
        }
        );


        getContentPane ().add (brasDroit);

    }

  private void brasDroitHandler (AdjustmentEvent evt) {
      robot.setBrasDroit(evt.getValue()) ;
  }

  private void avantBrasDroitHandler (AdjustmentEvent evt) {
      robot.setAvantBrasDroit(evt.getValue()) ;
  }

  private void brasGaucheHandler (AdjustmentEvent evt) {
      robot.setBrasGauche(evt.getValue()) ;
  }

  private void avantBrasGaucheHandler (AdjustmentEvent evt) {
      robot.setAvantBrasGauche(evt.getValue()) ;
  }

    /** Exit the Application */
    private void exitForm(WindowEvent evt) {
        System.exit (0);
    }


    private javax.swing.JLabel empty;
    private javax.swing.JLabel avantBrasLabel;
    private javax.swing.JLabel brasLabel;
    private javax.swing.JLabel gaucheLabel;
    private javax.swing.JScrollBar avantBrasGauche;
    private javax.swing.JScrollBar brasGauche;
    private javax.swing.JLabel droitLabel;
    private javax.swing.JScrollBar avantBrasDroit;
    private javax.swing.JScrollBar brasDroit;
}
